events.listen('item.registry', event => {

  // Register new items here
  event.create('tnp:emerald_plate').displayName('Emerald Plate');;
  event.create('tnp:small_leather_piece').displayName('Small Leather Piece');
  event.create('tnp:tnp_vanilla').displayName('Vanilla');
  event.create('tnp:trash_icon').displayName('Trash Icon');
  event.create('tnp:ctweaks_icon').displayName('CTweaks Icon');
  event.create('tnp:mute_icon').displayName('Mute Icon');
  event.create('tnp:keybind_icon').displayName('Keybinds Icon');
  event.create('tnp:inv_icon').displayName('Inventory Sorting Icon');
  event.create('tnp:search_chest_icon').displayName('Chest Searching Icon');
  event.create('tnp:knife_head').displayName('Knife Head');
  event.create('tnp:echo_coin').displayName('Echo Coin');
  event.create('tnp:copper_nugget').displayName('Copper Nugget');
  event.create('tnp:emerald_nugget').displayName('Emerald Nugget');
  event.create('tnp:diamond_nugget').displayName('Diamond Nugget');

  event.create('tnp:iron_magnetic_core').displayName('Iron Magnetic Core');
  event.create('tnp:gold_magnetic_core').displayName('Golden Magnetic Core');
  event.create('tnp:diamond_magnetic_core').displayName('Diamond Magnetic Core');
  event.create('tnp:netherite_magnetic_core').displayName('Netherite Magnetic Core');
  event.create('tnp:emerald_magnetic_core').displayName('Emerald Magnetic Core');

  event.create('tnp:golden_berries').displayName('Golden Berries').food(function(food){
  food.hunger(6)
  food.saturation(1.05)});
  event.create('tnp:golden_melon_slice').displayName('Golden Melon Slice').food(function(food){
  food.hunger(5)
  food.saturation(1.50)});
  event.create('tnp:cooked_cave_root').displayName('Cooked Cave Root').food(function(food){
  food.hunger(5)
  food.saturation(0.80)});
  event.create('tnp:baked_glow_berries').displayName('Baked Glow Berries').food(function(food){
  food.hunger(4)
  food.saturation(0.65)});

  event.create('tnp:raw_lead').displayName('Raw Lead');
  event.create('tnp:raw_quicksilver').displayName('Raw Quicksilver');
  event.create('tnp:raw_silver').displayName('Raw Silver');
  event.create('tnp:raw_tin').displayName('Raw Tin');

  // Tools +  Armor
  event.create('tnp:echo_helmet').displayName('Echo Helmet').type('helmet').tier("armor_echo").maxDamage(920).group('combat');
  event.create('tnp:echo_chestplate').displayName('Echo Chestplate').type('chestplate').tier("armor_echo").maxDamage(1520).group('combat');
  event.create('tnp:echo_leggings').displayName('Echo Leggings').type('leggings').tier("armor_echo").maxDamage(1400).group('combat');
  event.create('tnp:echo_boots').displayName('Echo Boots').type('boots').tier("armor_echo").maxDamage(1160).group('combat');

  event.create('tnp:echo_sword').displayName('Echo Sword').type('sword').tier("tool_echo").maxDamage(4072).group('combat');
  event.create('tnp:echo_pickaxe').displayName('Echo Pickaxe').type('pickaxe').tier("tool_echo").maxDamage(4072).group('tools');
  event.create('tnp:echo_shovel').displayName('Echo Shovel').type('shovel').tier("tool_echo").maxDamage(4072).group('tools');
  event.create('tnp:echo_axe').displayName('Echo Axe').type('axe').tier("tool_echo").maxDamage(4072).group('tools');
  event.create('tnp:echo_hoe').displayName('Echo Hoe').type('hoe').tier("hoe_echo").maxDamage(4072).group('tools');

  event.create('tnp:green_baked_apple').displayName('Green Baked Apple').food(function(food){
  food.hunger(6)
  food.saturation(0.65)});

});